function displayboard(BoardID,BoardAssort,BoardName,BoardIntro,LastWriter,LastWriteTime,TopicNum,AnnounceNum,ForumPass,LastAnnounceID,LastTopicName,MasterList,BoardLimit,AssortName,TodayAnnounce,GoodNum,BoardImgUrl,BoardImgWidth,BoardImgHeight,onlineUser,LowerBoard)
{
	var Temp = 0;
	if(CurrentAssosrt!=BoardAssort)
	{
		CurrentAssosrt = BoardAssort
		if(Flag == 1)
		{
			document.write("</table>");
			if(GBL_TableBottomString != "")document.write("<table width=" + DEF_BBS_ScreenWidth + " border=0 cellspacing=0 cellpadding=0 align=center><tr><td>" + GBL_TableBottomString + "</td></tr></table>");
			document.write("<br>");
		}
		if(GBL_TableHeadString != "")document.write("<table width=" + DEF_BBS_ScreenWidth + " border=0 cellspacing=0 cellpadding=0 align=center><tr><td>" + GBL_TableHeadString + "</td></tr></table>");
		document.write("<table width=" + DEF_BBS_ScreenWidth + " border=0 cellspacing=1 cellpadding=5 align=center bgcolor=#cccccc class=TBone><tr bgcolor=#666699><td colspan=4 class=TBHead><img src=../images/blank.gif width=2 height=3><br><a href=Board.asp?BoardID=" + GBL_Board_ID + "><font color=white class=HeadFont>" + AssortName + "</font></a></td></tr>");
		Flag = 1;
	}
	document.write("<tr bgcolor=#f7f7f7 align=center class=TBBG9><td width=25 bgcolor=eeeeee class=TBBG1><img src=../images/" + GBL_DefineImage + "BoardTopic/");
	if(TodayAnnounce > 0)document.write("_");
	if(ForumPass!="")
	{
		document.write("lock.gif title=保密论坛");
	}
	else
	{
		if(BoardLimit&(1<<(7-1)))
		{
			document.write("lock3.gif title=版主专区");
		}
		else
		{
			if((BoardLimit&(1<<(4-1))) && (BoardLimit&(1<<(3-1))) && (BoardLimit&(1<<(6-1))))
			{
				document.write("readonly.gif title=只读论坛");
			}
			else
			{
				if(BoardLimit&(1<<(2-1)))
				{
					document.write("lock2.gif title=正式会员论坛");
				}
				else
				{
					if(BoardLimit&(1<<(1-1)))
					{
						document.write("lock1.gif title=注册认证论坛");
					}
					else
					{
						if(BoardLimit&(1<<(9-1)))
						{
							document.write("open.gif title=开放论坛");
						}
						else
						{
							document.write("1.gif title=常规论坛");
						}
					}
				}
			}
		}
	}
	document.write(" width=24 height=24></td>");
	document.write("<td align=Left><table width=100% border=0 cellspacing=0 cellpadding=0>");
	if(BoardImgUrl != "" && BoardImgUrl != null)document.write("<tr><td rowspan=4 width=" + BoardImgWidth + "><a href=Board.asp?BoardID=" + BoardID + "><img src=\"" + BoardImgUrl + "\" width=" + BoardImgWidth + " height=" + BoardImgHeight + " border=0></a></td><td width=4 rowspan=4><img src=../images/null.gif width=2 height=2></td></tr>");
	document.write("<tr height=20><td><a href=Board.asp?BoardID=" + BoardID + ">" + BoardName + "</a>");
	document.write("</td><td align=right rowspan=2 valign=top><img src=../images/null.gif width=2 height=2><br><a href=../announce/announce2.asp?BoardID=" + BoardID + "><img src=../images/" + GBL_DefineImage + "BoardTopic/post.gif height=13 width=12 border=0 title=在此论坛发表新帖子></a><br><img src=../images/null.gif width=2 height=5><br><a href=EBoard.asp?BoardID=" + BoardID + "><img src=../images/" + GBL_DefineImage + "BoardTopic/elist.gif height=13 width=12 border=0 title=查看精华区内容(共" + GoodNum + "精华帖子)></a></td></tr>");
	document.write("<tr height=15><td>");
	document.write(BoardIntro);
	document.write("</td>");
	document.write("<tr height=15><td colspan=2>");
	document.write("<img src=images/null.gif height=2 width=192><br>版主：");
	DisplayBoardMastList(MasterList,5);
	document.write("</tr></table></td>");
	document.write("<td align=Left width=224 valign=top><img src=images/null.gif height=2 width=2><br>");
	if(LastTopicName == "" || LastTopicName==null)
	{
		document.write("主题：无");
	}
	else
	{
		if(strlength(LastTopicName)>31)LastTopicName = LeftTrue(LastTopicName,31-3) + "..."
		LastTopicName = htmlencode(LastTopicName);
		if(ForumPass != "" || (BoardLimit&(1<<(2-1))) || (BoardLimit&(1<<(7-1))))
		{
			document.write("主题：已设置为隐藏");
			Temp = 1;
		}
		else
		{
			if(parseInt(LastAnnounceID)==0){document.write("主题：" + htmlencode(LastTopicName));}
			else{document.write("主题：<a href=../announce/announce.asp?BoardID=" + BoardID + "&ID=" + LastAnnounceID + "&Aupflag=1&Anum=1>" + htmlencode(LastTopicName) + "</a>");}
		}
	}
	document.write("<br><img src=images/null.gif height=4 width=2><br>");
	if(LastWriter == "")
	{
		document.write("回复：");
		LastWriter="无";
	}
	else
	{
		if(LastWriteTime.length==14)LastWriteTime = LastWriteTime.substr(0,4) + "-" + LastWriteTime.substr(4,2) + "-" + LastWriteTime.substr(6,2) + " " + LastWriteTime.substr(8,2) + ":" + LastWriteTime.substr(10,2)
		document.write("回复：" );
		if(LastWriter!="游客")
		{
			if(Temp != 1)document.write("<a href=\"../User/LookUserInfo.asp?Name=" + htmlencode(LastWriter) + "\">" + htmlencode(LastWriter) + "</a> ");
		}
		else
		{
			document.write(htmlencode(LastWriter) + " ")
		}
		document.write(LastWriteTime);
		document.write("<br><img src=images/null.gif height=4 width=2><br>");
		document.write("新帖：<font color=#666699 class=TBtwofont>" + TodayAnnounce + "</font> 主题 " + TopicNum + " 总量 " + AnnounceNum);
		document.write("</td></tr>");
	}
}
function strlength(str)
{
	var mx=String.fromCharCode(255);
	if(str.length==0)
	{
		return(0);
	}
	else
	{
		var TStr="";
		var l,t,c;
		var i;
		l=str.length;
		t=l;
		for(i=0;i<l;i++)
		{
			if(str.charAt(i)>mx)
			{
				t+=1;
			}
		}
		return(t);
	}
}